Package com.tietoenator.trip.jxp.graph

# Class TdbGraphPathVertex

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.graph.TdbGraphPathVertex

public class TdbGraphPathVertex extends TdbSessionObject
Represents a vertex (node) in a path such as generated by one of the path analysis functions in TdbGraphSet.

THIS CLASS IS EXPERIMENTAL. USE WITH CAUTION! ITS INTERFACE MAY CHANGE IN FUTURE RELEASES.

Since:
  TRIPjxp 3.1
See Also:
  - `TdbGraphPathEdge`
  - `TdbGraphPath`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDatabaseName()`
  Returns the name of the database this vertex is associated with.
  `TdbGraphPathEdge`
  `getOutputEdge()`
  Get the outut edge this path vertex is associated with.
  `TdbRecord`
  `getRecord(boolean createFields, boolean retrieve)`
  Return a TdbRecord object for this graph vertex.
  `int`
  `getRecordId()`
  Returns the record id (RID) of the record this vertex is associated with

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getRecord

    public TdbRecord getRecord(boolean createFields, boolean retrieve) throws TdbException
    Return a TdbRecord object for this graph vertex.
    Parameters:
      `createFields` - True set the record up to retrieve all field values.
      `retrieve` - True to execute the 'get()' operation on the record before it is returned
    Returns:
      A TdbRecord object
    Throws:
      `TdbException`

  - ### getDatabaseName

    public String getDatabaseName()
    Returns the name of the database this vertex is associated with.
    Returns:
      Database name or null if this vertex is not associated with a regular database

  - ### getRecordId

    public int getRecordId()
    Returns the record id (RID) of the record this vertex is associated with
    Returns:
      Record ID or zero if this vertex is not associated with a regular record

  - ### getOutputEdge

    public TdbGraphPathEdge getOutputEdge()
    Get the outut edge this path vertex is associated with.
    Returns:
      Edge object or null if there are no outgoing edges.